// Lithuanian
(function() {
  function numpf(n, f, s, t) {
    // f - 1, 21, 31, ...
    // s - 2-4, 22-24, 32-34 ...
    // t - 5-20, 25-30, ...
    var n10 = n % 10;
    if ( (n10 == 1) && ( (n == 1) || (n > 20) ) ) {
      return f;
    } else if ( (n10 > 1) && (n10 < 5) && ( (n > 20) || (n < 10) ) ) {
      return s;
    } else {
      return t;
    }
  }

  jQuery.timeago.settings.strings = {
    prefixAgo: null,
    prefixFromNow: "per",
    suffixAgo: "atgal",
    suffixFromNow: null,
    seconds: "mažiau nei minutė",
    minute: "minutė",
    minutes: function(value) { return numpf(value, "%d minutė", "%d minutes", "%d minutės"); },
    hour: "valanda",
    hours: function(value) { return numpf(value, "%d valanda", "%d valandos", "%d valandų"); },
    day: "diena",
    days: function(value) { return numpf(value, "%d diena", "%d dienos", "%d dienų"); },
    month: "mėnuo",
    months: function(value) { return numpf(value, "%d mėnuo", "%d mėnesius", "%d mėnesių"); },
    year: "metai",
    years: function(value) { return numpf(value, "%d metai", "%d metus", "%d metų"); }
  };
})();